export declare type TickCallback = (percentageComplete: number) => void;
export declare class Tick {
    private _tickCallback;
    private _startTime;
    private _duration;
    private _stopped;
    private _pending;
    private _onEndCallback;
    constructor(cb: TickCallback);
    start(duration: number): void;
    private tickLoop;
    stop(): void;
    onEnd(cb?: () => void): void;
}
