import { Ease } from "./ease";
export declare type TransitionOption<T> = {
    ease?: Ease;
    duration: number;
    from: T;
    to: T;
};
export declare function transition(option: TransitionOption<number | number[]>, cb: (current: unknown) => void, onEnd?: () => void): () => void;
